MyBB.support, le portail francophone de MyBB

Full Version: Traduction version 1.2.8 (1er jet) - erreurs possibles!
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Salut,

Voilà le résultat de mon premier travail de traduction pour la v1.2.8 !

Dans le zip ci-joint, je n'ai mis que les fichiers que j'ai modifiés par rapport à ceux contenus dans l'archive:
mybb_128_changed_files.zip (http://community.mybboard.net/attachment.php?aid=6650).


C'est vrai que la partie langage est touchée, mais pas tant que ça !!!
Il n'y a pas de modification des structures des tables.

Ce que j'ai modifié (si je ne me suis pas trompé...)
  • Dans inc/datahandlers/pm.php:
    lien de téléchargement des fichiers modifiés
    • juste une phrase au début (fonction die())
  • Dans inc/languages/french.php
    • juste le n° de version à changer.
  • Dans inc/languages/french:
    • global.lang : juste une ligne de plus rajoutée -> $l['editor_size_large'] = "Grand";
    • helpdocs.lang.php : rien à changer (en anglais la différence porte sur "Personal Pad" au lieu de "MyPad !)
    • misc.lang.php : juste une ligne rajoutée -> $l['send_icq_message'] = ""Envoyer un message ICQ &agrave {1}.";
  • Dans install/index.php:
    • juste un index et une valeur supplémentaires en fin du tableau: $newuser ('showredirect' => 'yes')
  • Dans install/upgrade.php:
    • pas vu de changement significatif (à part un:
      $output->print_header()
      au lieu de
      $output->print_header($lang->welcome, 'welcome');
      (que j'ai laissé... ça me semblait normal...)
  • Dans install/resources:
    • language.lang.php:
      • rien à changer (garder le fichier de Le Poulpe).
      • mysql_db_inserts.php:
        • rien à changer (garder le fichier de Le Poulpe) (en anglais la différence porte sur "Personal Pad" au lieu de "MyPad !)
      • upgrade1.php à upgrade9.php:
        • ce sont les mêmes, j'ai gardé ceux que j'avais traduits pour la v1.2.7.
      • upgrade10:
        • nouveau fichier, ne contient aucun texte à traduire.
      • settings.xml:
        • j'ai repris mon ancien fichier et j'y ai modifié les éléments suivants:
          • setting['attachedthumbnails'] corrigé (devenu un 'select' au lieu d'un 'yesno')
          • setting['enableforumjump'] rajouté, nouveau paramètre du groupe 'server'
          • setting['disableregs'] modifié.. mais si peu!

Voilà, finalement il n'y a pas grand chose de changé !!!


Reste seulement les templates par défaut qui sont modifiés... mais ça, ça ne peut se faire que via l'ACP ?!

Principe:
- Récupérer le pack complet de la v1.2.8 (ou le zip des fichiers changés si vous avez déjà la 1.2.7)
- Y mettre les fichiers de la trad de Le Poulpe pour la v1.2.7 (rien à faire si vous avez déjà la 1.2.7fr sur votre serveur)
- Remplacer et/ou ajouter les fichiers présents dans cette archive.
- Upper le tout et faire:
- soit un install
- soit un upgrade

Livré sans aucune garantie. Je n'ai rien testé !... Pas eu le temps !

Merci de vérifier... A tester ! En ayant fait une sauvegarde!


Je vais essayer de travailler à un pack fr complet...


@+
Spyto

EDIT: réuppé, lien modifié. Désolé jacquesco.
Merci pour le travail,
un petit soucis, je n'arrive pas à télécharger le fichier, je n'ai pas les droits suffisant
jacquesco Wrote:Merci pour le travail,
un petit soucis, je n'arrive pas à télécharger le fichier, je n'ai pas les droits suffisant
Fichier réuppé.. désolé!
merci, je viens d'installer et tout marche, je n'ai pas vu d'erreur dans la traduction
bon boulot
 Translation utility provided by Regentronique